// ignore_for_file: public_member_api_docs

import 'package:healthrian_common_support/healthrian_common_support.dart';

extension FeasibleName on String {
  bool get isWearEcg12 {
    return startsWith(
          DEVICE_NAME_WEAR_ECG_12,
        ) ||
        startsWith(
          DEVICE_NAME_SPORT_WEAR,
        );
  }

  bool get isWearCardioT {
    return startsWith(DEVICE_NAME_WEAR_CARDIO_T);
  }

  bool get isCardioClick {
    return startsWith(DEVICE_NAME_CARDIO_CLICK);
  }

  bool get isSportWear {
    return startsWith(DEVICE_NAME_SPORT_WEAR);
  }
}
