import 'package:flutter_test/flutter_test.dart';
import 'package:healthrian_common_support/healthrian_common_support.dart';

void main() {
  group('utility functions test .toDouble', () {
    test('minimum range', () {
      final d = toDouble(0x80, 0x00, 0x00);
      expect(d.toInt(), -600);
    });

    test('zero value', () {
      final d = toDouble(0x00, 0x00, 0x00);
      expect(d, 0);
    });

    test('maximum value', () {
      final d = toDouble(0x7F, 0xFF, 0xFF);
      expect(d.toInt(), 600);
    });
  });
}
